Subject: bug#57650: [29.0.50] Chatty Emacsclient: "Got response from server"

From: Jacob Faibussowitsch <[email-masked]>
Date: Wed, 7 Sep 2022 14:31:28 -0400

> you _asked_ for more chatter by
> specifying --quiet.  Right?

… I had to read that twice, but just so I understand the --quiet flag makes emacsclient display more to screen? Perhaps it should be renamed to --louder. Going from the help tooltip:

$ emacsclient --help
…
-q, --quiet		Don't display messages on success

I was under the distinct impression this flag would make emacsclient well, quieter.

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

> On Sep 7, 2022, at 14:25, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Jacob Faibussowitsch <[email-masked]>
>> Date: Wed, 7 Sep 2022 13:22:20 -0400
>> 
>> To reproduce:
>> 
>> 1. $ emacs -Q --daemon
>> 2. $ emacsclient --tty --quiet
>> 3. C-x C-c
>> 4. Behold:
>> 
>> Got response from server
>> 
>> Note that if you do the above *without* --quiet, then no message is printed. It appears the message is printed from lib-src/emacsclient.c:2174.
> 
> Then I don't understand the complaint: you _asked_ for more chatter by
> specifying --quiet.  Right?